import preact from '@preact/preset-vite';
import { defineConfig } from 'vite';

export default defineConfig({
  base: '/public',
  plugins: [preact()],
  server: {
    cors: true
  },
  build: {
    outDir: '../public',
    emptyOutDir: true
  }
});